Child pages
  • ELF Setup
Skip to end of metadata
Go to start of metadata
ELF Setup

This page describes the minimum hardware and software requirements that are needed in order access the Electronic Forms system.        

 Print

Page


What are the system requirements to run ELF on my workstation?

  • At a minimum you must have a Pentium based workstation that is running at 133 MHz.
  • At least 32 Megabytes of Random Access Memory (RAM). More memory and a faster processor will definitely enhance system performance and may be required if other programs are using significant resources on your workstation.
  • Capable of displaying a screen resolution of 800X600 or greater.

What software do I need in order to use the Electronic Forms system?

  • Web Browser software. Mozilla Firefox Browser version 3.0 or higher or the Microsoft Internet Explorer version 7.0 or higher.
  • A University of Maryland Directory ID. All faculty, staff and students automatically get a Directory ID.
  • The Adobe Acrobat Reader. This plug-in allows you to view Adobe Portable Document Format (PDF) documents. ELF uses this plug-in to handle the printing of electronic forms. See Acrobat Plug-in Setup for information on getting and configuring the Acrobat reader.


 Back
  • No labels